#ifndef __EPGSEARCH_MENUMYEDITTIMER_H
#define __EPGSEARCH_MENUMYEDITTIMER_H

#include <vdr/menuitems.h>

// --- cMenuMyEditTimer --------------------------------------------------------

class cMenuMyEditTimer : public cOsdMenu {
private:
  cTimer *timer;
  const cEvent* event;
  int channel;
  bool addIfConfirmed;
  int UserDefDaysOfWeek;
  cMenuEditDateItem *firstday;
  void SetFirstDayItem(void);
  cMenuEditStrItem* m_DirItem;

  int flags;
#if VDRVERSNUM && VDRVERSNUM >= 10323
  time_t day;
  int weekdays;
#else
  int day;
  time_t firstdaydata;
#endif
  int start;
  int stop;
  int priority;
  int lifetime;
  char file[MaxFileName];
  char directory[MaxFileName];
public:
  cMenuMyEditTimer(cTimer *Timer, bool New, const cEvent* event);
  virtual ~cMenuMyEditTimer();
  virtual eOSState ProcessKey(eKeys Key);
  void HandleSubtitle();
  void Set();
  void ReplaceDirVars();
  bool IsSingleEvent(void) const;
  };
#endif
